Skip to main content
DELETE
/
dashboards
/
{dashboard_token}
Delete dashboard
curl --request DELETE \
  --url https://api.vantage.sh/v2/dashboards/{dashboard_token} \
  --header 'Authorization: Bearer <token>'
{
  "token": "dshbrd_abcd1234567890",
  "title": "AWS Dashboard",
  "widgets": [
    {
      "widgetable_token": "rprt_a12b3c",
      "title": "My Widget",
      "settings": {
        "display_type": "table"
      }
    }
  ],
  "saved_filter_tokens": [
    "<string>"
  ],
  "date_bin": "cumulative",
  "date_interval": "this_month",
  "created_at": "2023-08-04T00:00:00Z",
  "updated_at": "2023-08-04T00:00:00Z",
  "workspace_token": "wrkspc_abcd1234567890",
  "start_date": "2023-08-04",
  "end_date": "2023-09-04"
}

Documentation Index

Fetch the complete documentation index at: https://docs.vantage.sh/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

dashboard_token
string
required

Response

Dashboard model

token
string
required
Example:

"dshbrd_abcd1234567890"

title
string
required

The title of the Dashboard.

Example:

"AWS Dashboard"

widgets
object[]
required
saved_filter_tokens
string[]
required

The tokens of the Saved Filters used in the Dashboard.

date_bin
enum<string> | null
required

Determines how to group costs in the Dashboard.

Available options:
cumulative,
day,
week,
month
date_interval
enum<string> | null
required

Determines the date range for Reports in the Dashboard. Guaranteed to be set to 'custom' if 'start_date' and 'end_date' are set.

Available options:
this_month,
last_7_days,
last_30_days,
last_month,
last_3_months,
last_6_months,
custom,
last_12_months,
last_24_months,
last_36_months,
next_month,
next_3_months,
next_6_months,
next_12_months,
year_to_date,
last_3_days,
last_14_days
created_at
string
required

The date and time, in UTC, the Dashboard was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

updated_at
string
required

The date and time, in UTC, the Dashboard was created. ISO 8601 Formatted.

Example:

"2023-08-04T00:00:00Z"

workspace_token
string
required

The token for the Workspace the Dashboard is a part of.

Example:

"wrkspc_abcd1234567890"

start_date
string | null

The start date for the date range for Reports in the Dashboard. ISO 8601 Formatted. Overwrites 'date_interval' if set.

Example:

"2023-08-04"

end_date
string | null

The end date for the date range for Reports in the Dashboard. ISO 8601 Formatted. Overwrites 'date_interval' if set.

Example:

"2023-09-04"